package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class KategoryDiagnosa
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KategoryDiagnosa_M")
public class KategoryDiagnosaVO extends BaseMasterVO {
	@Caption(value = "Kategory Diagnosa")
	private String kategoryDiagnosa;

	public void setKategoryDiagnosa(String kategoryDiagnosa) {
		this.kategoryDiagnosa = kategoryDiagnosa;
	}

	@Column(name = "KategoryDiagnosa", nullable = false, length = 150)
	public String getKategoryDiagnosa() {
		return this.kategoryDiagnosa;
	}

	@Caption(value = "Kode Kategory Diagnosa")
	private String kdKategoryDiagnosa;

	public void setKdKategoryDiagnosa(String kdKategoryDiagnosa) {
		this.kdKategoryDiagnosa = kdKategoryDiagnosa;
	}

	@Column(name = "KdKategoryDiagnosa", nullable = false, length = 10)
	public String getKdKategoryDiagnosa() {
		return this.kdKategoryDiagnosa;
	}

	@Caption(value = "QKategory Diagnosa")
	private Integer qKategoryDiagnosa;

	public void setqKategoryDiagnosa(Integer qKategoryDiagnosa) {
		this.qKategoryDiagnosa = qKategoryDiagnosa;
	}

	@Column(name = "QKategoryDiagnosa", nullable = false)
	public Integer getqKategoryDiagnosa() {
		return this.qKategoryDiagnosa;
	}

	@Caption(value = "Rincian Kode Diagnosa")
	private String rincianKodeDiagnosa;

	public void setRincianKodeDiagnosa(String rincianKodeDiagnosa) {
		this.rincianKodeDiagnosa = rincianKodeDiagnosa;
	}

	@Column(name = "RincianKodeDiagnosa", nullable = true, length = 150)
	public String getRincianKodeDiagnosa() {
		return this.rincianKodeDiagnosa;
	}
/*
	//
	@OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "kdkategorydiagnosa")
	private Set<Diagnosa> DiagnosaSet = new HashSet<Diagnosa>();

	public Set<Diagnosa> getDiagnosaSet() {
		return DiagnosaSet;
	}

	public void setDiagnosaSet(Set<Diagnosa> diagnosaSet) {
		DiagnosaSet = diagnosaSet;
	}
	
	//
	@OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "kdkategorydiagnosa")
	private Set<DiagnosaTindakan> DiagnosaTindakanSet = new HashSet<DiagnosaTindakan>();

	public Set<DiagnosaTindakan> getDiagnosaTindakanSet() {
		return DiagnosaTindakanSet;
	}

	public void setDiagnosaTindakanSet(Set<DiagnosaTindakan> diagnosaTindakanSet) {
		DiagnosaTindakanSet = diagnosaTindakanSet;
	}*/
}
